# Class LCExport

java.lang.Object
com.io7m.laurel.cmdline.internal.LCExport

All Implemented Interfaces:
  `com.io7m.quarrel.core.QCommandOrGroupType, com.io7m.quarrel.core.QCommandType, Flow.Subscriber<LFileModelEventType>`

public final class LCExport extends Object implements com.io7m.quarrel.core.QCommandType, Flow.Subscriber<LFileModelEventType>
"export"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LCExport()`
  Construct a command.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.io7m.quarrel.core.QCommandMetadata`
  `metadata()`
  `void`
  `onComplete()`
  `void`
  `onError(Throwable throwable)`
  `com.io7m.quarrel.core.QCommandStatus`
  `onExecute(com.io7m.quarrel.core.QCommandContextType newContext)`
  `List<com.io7m.quarrel.core.QParameterNamedType<?>>`
  `onListNamedParameters()`
  `void`
  `onNext(LFileModelEventType item)`
  `void`
  `onSubscribe(Flow.Subscription subscription)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandOrGroupType

  `isHidden`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandType

  `onListPositionalParameters`

- ## Constructor Details

  - ### LCExport

    public LCExport()
    Construct a command.

- ## Method Details

  - ### onListNamedParameters

    public List<com.io7m.quarrel.core.QParameterNamedType<?>> onListNamedParameters()
    Specified by:
      `onListNamedParameters` in interface `com.io7m.quarrel.core.QCommandType`

  - ### onExecute

    public com.io7m.quarrel.core.QCommandStatus onExecute(com.io7m.quarrel.core.QCommandContextType newContext)
    Specified by:
      `onExecute` in interface `com.io7m.quarrel.core.QCommandType`

  - ### metadata

    public com.io7m.quarrel.core.QCommandMetadata metadata()
    Specified by:
      `metadata` in interface `com.io7m.quarrel.core.QCommandOrGroupType`

  - ### onSubscribe

    public void onSubscribe(Flow.Subscription subscription)
    Specified by:
      `onSubscribe` in interface `Flow.Subscriber<LFileModelEventType>`

  - ### onNext

    public void onNext(LFileModelEventType item)
    Specified by:
      `onNext` in interface `Flow.Subscriber<LFileModelEventType>`

  - ### onError

    public void onError(Throwable throwable)
    Specified by:
      `onError` in interface `Flow.Subscriber<LFileModelEventType>`

  - ### onComplete

    public void onComplete()
    Specified by:
      `onComplete` in interface `Flow.Subscriber<LFileModelEventType>`